<?xml version="1.0"?>

<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:ObjectManager/etc/config.xsd">
    <type name="Magento\Framework\App\RouterList">
        <arguments>
            <!-- Defining router here for m2-test special url -->
            <argument name="routerList" xsi:type="array">
                <item name="digitalboutique" xsi:type="array">
                    <item name="class" xsi:type="string">DigitalBoutique\Redirector\Controller\Router</item>
                    <item name="disable" xsi:type="boolean">false</item>
                    <item name="sortOrder" xsi:type="string">15</item>
                </item>
            </argument>
        </arguments>
    </type>

    <preference for="DigitalBoutique\Redirector\Api\SearchLogRepositoryInterface"
                type="DigitalBoutique\Redirector\Model\SearchLogRepository"/>
</config>
